Bug 520477 - Review Request: picprog - Microchip PIC micro-controller serial programmer software
Summary: Review Request: picprog - Microchip PIC micro-controller serial programmer so...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 17:02 UTC by Alex Musolino
Modified: 2010-08-24 23:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-01 08:57:54 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
picprog document html snapshot (142.03 KB, image/png)
2009-09-19 16:19 UTC, Mamoru TASAKA
no flags Details

Description Alex Musolino 2009-08-31 17:02:49 UTC
Spec URL: http://silxnet.org/~alex/fedora/picprog/picprog.spec
SRPM URL: http://silxnet.org/~alex/fedora/picprog/picprog-1.9.0-1.fc10.src.rpm
Description: Picprog is a simple program for burning programs to various Microchip PIC micro-controllers via several types of serial port programmers.

This is my first package for Fedora, so I'm looking for a sponsor.

Comment 1 Martin Gieseking 2009-08-31 18:03:46 UTC
Hello Alex,

I'm not a sponsor but nevertheless some quick comments from me. :)

- according to the source headers, the license is GPLv2 only
- add comments to the referenced patches about what they do
- it shouldn't be necessary to give the BuildRequires and Requires dependencies
- "make dep" is redundant

Comment 2 Alex Musolino 2009-09-01 00:13:33 UTC
Made appropriate changes as per above.

Spec URL: http://silxnet.org/~alex/fedora/picprog/picprog.spec
SRPM URL: http://silxnet.org/~alex/fedora/picprog/picprog-1.9.0-2.fc10.src.rpm

Comment 3 Martin Gieseking 2009-09-01 06:03:44 UTC
I think my note about the patch comments was a bit unclear. I didn't mean to add the comments to the patch files but before Patch0 and Patch1 in the spec file.

Comment 4 Alex Musolino 2009-09-01 16:55:21 UTC
Sorry about that. Comments added to spec file regarding patches as per above.

Spec URL: http://silxnet.org/~alex/fedora/picprog/picprog.spec
SRPM URL: http://silxnet.org/~alex/fedora/picprog/picprog-1.9.0-2.fc10.src.rpm

Comment 5 Mamoru TASAKA 2009-09-16 18:04:43 UTC
Well,

* ExclusiveArch
  - This package does not build on ppc/ppc64. This is because
    this package contains some codes which really won't work
    on ppc/ppc64.
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1681058

    This spec file needs: "ExclusiveArch: %{ix86} x86_64".

! About Patch1
  - I would rather install man file and binary file manually
    for this package, however I will leave it to you where you
    use patch this patch or not.

* %attr(644,root,root)
  - I would suggest to change the permission explicitly at
    %install stage (if really needed) rather than using
    %attr for this issue like:
---------------------------------------------------------
%install
....
....
chmod 0644 $RPM_BUILD_ROOT%{_mandir}/man1/picprog.1*
---------------------------------------------------------

Anyway this package is rather simple, so:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on my wiki page:
http://fedoraproject.org/wiki/User:Mtasaka#B._Review_request_tickets
(Check "No one is reviewing")

Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------

Comment 6 Alex Musolino 2009-09-17 04:48:36 UTC
> * ExclusiveArch
>   - This package does not build on ppc/ppc64. This is because
>     this package contains some codes which really won't work
>     on ppc/ppc64.
>     http://koji.fedoraproject.org/koji/taskinfo?taskID=1681058
> 
>     This spec file needs: "ExclusiveArch: %{ix86} x86_64".

Done. Looks like it *might* be possible to patch picprog to build on the ppc and ppc64, but I'll leave it for now.

> ! About Patch1
>   - I would rather install man file and binary file manually
>     for this package, however I will leave it to you where you
>     use patch this patch or not.

Changed it to manual install using `install`. This removes the need for the chmod you mentioned.

As for sponsorship...

I have a few other packages I'd like to work on such as an assembler for Atmel AVR chips (as well as some packages for the RPM Fusion repos). I'll post the bug number here when I submit that package for review.

Also, if I see any package review requests I'll have a look and see if I can help.

Spec URL: http://silxnet.org/~alex/fedora/picprog/picprog.spec
SRPM URL: http://silxnet.org/~alex/fedora/picprog/picprog-1.9.0-3.fc10.src.rpm

Comment 7 Alex Musolino 2009-09-19 06:24:03 UTC
Submitted my second package - see https://bugzilla.redhat.com/show_bug.cgi?id=524346

Comment 8 Mamoru TASAKA 2009-09-19 16:19:27 UTC
Created attachment 361772 [details]
picprog document html snapshot

Well, for -3:

* Timestamps
  - Add "-p" option when using "install" or "cp" commands to keep
    timestamps on installed files:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

* Documents
  - Some png files are needed for installed document html file.
    Please also install them (see attached).

Comment 10 Mamoru TASAKA 2009-09-19 17:10:58 UTC
Okay.

---------------------------------------------------
  This package (picprog) is APPROVED by mtasaka
---------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
After you request for sponsorship a mail will be sent to sponsor 
members automatically (which is invisible for you) which notifies 
that you need a sponsor. After that, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 10/11, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.

Comment 11 Alex Musolino 2009-09-19 17:32:37 UTC
I've applied for the 'packager' group on the FA2. My FAS name is 'musolinoa'.

Comment 12 Mamoru TASAKA 2009-09-19 17:33:14 UTC
Now I am sponsoring you. Please follow "Join" wiki again.

Comment 13 Alex Musolino 2009-09-21 03:38:29 UTC
New Package CVS Request
=======================
Package Name: picprog
Short Description: Microchip PIC micro-controller serial programmer software
Owners: musolinoa
Branches: F-10 F-11
InitialCC:

Comment 14 Jason Tibbitts 2009-09-22 01:48:18 UTC
CVS done.

Comment 15 Mamoru TASAKA 2009-09-30 16:14:19 UTC
Please submit push request for F-11 on bodhi.

Comment 16 Alex Musolino 2009-10-01 07:07:01 UTC
Done.

Comment 17 Mamoru TASAKA 2009-10-01 08:57:54 UTC
Thanks.

Comment 18 Alex Musolino 2010-08-24 14:04:22 UTC
Package Change Request
======================
Package Name: picprog
New Branches: el6
Owners: musolinoa

Comment 19 Mamoru TASAKA 2010-08-24 14:26:07 UTC
Please chage fedora-cvs flag to ?.

Comment 20 Kevin Fenzi 2010-08-24 23:49:45 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.